%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jastow
Version:          2.0.1
Release:          %mkrel 1
Group:            Development/Java
Summary:          Jasper fork
License:          ASL 2.0
Url:              https://github.com/undertow-io/jastow
Source0:          https://github.com/undertow-io/jastow/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(io.undertow:undertow-servlet)
BuildRequires:    mvn(org.eclipse.jdt.core.compiler:ecj)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.jboss.maven.plugins:maven-injection-plugin)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.3_spec)

BuildArch:        noarch

%description
The Jasper fork for Undertow.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_dep "org.glassfish:javax.el"

%build
# we don't want to have cyclic dep
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Sun May 21 2017 neoclust <neoclust> 2.0.1-1.mga6
+ Revision: 1103978
- New version 2.0.1

* Wed Mar 02 2016 neoclust <neoclust> 1.0.0-7.mga6
+ Revision: 982106
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-6.mga6
+ Revision: 976442
- First rebuild of the java stack
- sync package jastow with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Fri Dec 26 2014 pterjan <pterjan> 1.0.0-2.mga5
+ Revision: 806138
- Clean rebuild
- Mageify
- imported package jastow


* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Upstream release 1.0.0.Final

* Mon Dec 23 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.5.CR1
- Upstream release 1.0.0.CR1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.Alpha2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Alpha2
- Make the package building again after version bump

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Alpha2
- Using tarball provided by github
- Removed Requires

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha2
- Initial packaging

